globus_ftp_client.h File Reference

GridFTP Client. More...

`#include "globus_ftp_control.h"`
`#include "globus_priority_q.h"`
Include dependency graph for globus_ftp_client.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | globus_ftp_client_restart_stream_t
| Stream mode restart marker. More...
struct | globus_ftp_client_restart_extended_block_t
| Extended block mode restart marker. More...
union | globus_ftp_client_restart_marker_t
| Restart marker.This structure is may be either a stream mode transfer offset, or an extended block mode byte range. More...

## Macros

#define | GLOBUS_FTP_CLIENT_MODULE

## Typedefs

typedef struct globus_i_ftp_client_handle_t * | globus_ftp_client_handle_t
| FTP Client Handle.An FTP client handle is used to associate state with a group of operations. Handles can have attributes associated with them. All FTP operations take a handle pointer as a parameter. More...
typedef struct globus_i_ftp_client_plugin_t * | globus_ftp_client_plugin_t
| FTP Client pluginAn FTP Client plugin is used to add restart, monitoring, and performance tuning operations to the FTP Client library, without modifying the base API. Multiple plugins may be associated with a globus_ftp_client_handle_t. More...
typedef void(* | globus_ftp_client_complete_callback_t) (void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error)
typedef void(* | globus_ftp_client_data_callback_t) (void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof)
typedef struct globus_i_ftp_client_operationattr_t * | globus_ftp_client_operationattr_t
| Operation Attributes.FTP Client attributes are used to control the parameters needed to access an URL using the FTP protocol. Attributes are created and manipulated using the functions in the attributes section of the library. More...
typedef struct globus_i_ftp_client_handleattr_t * | globus_ftp_client_handleattr_t
| Handle Attributes.Handle attributes are used to control the caching behavior of the ftp client handle, and to implement the plugin features for reliability and performance tuning. More...
typedef struct globus_i_ftp_client_features_s * | globus_ftp_client_features_t
| Feature HandleHandle used to associate state with feature operations. More...

## Enumerations

enum | globus_ftp_client_error_t
enum | globus_ftp_client_restart_type_t
enum | globus_ftp_client_tristate_t
enum | globus_ftp_client_probed_feature_t

## Variables

globus_module_descriptor_t | globus_i_ftp_client_module

## Detailed Description

GridFTP Client.

## Enumeration Type Documentation

## globus_ftp_client_error_t

enum globus_ftp_client_error_t

Error types

## globus_ftp_client_restart_type_t

enum globus_ftp_client_restart_type_t

Restart marker types.

## Variable Documentation

## globus_i_ftp_client_module

globus_module_descriptor_t globus_i_ftp_client_module

Module descriptor static initializer.